# Mike

Android app that let's you use your smartphone as a microphone for an audio recorder or computer, by redirecting the microphone input to audio output.

Because of the Coronavirus Pandemic, my group projects have changed from an in person talk with my teammates to online meetings. And since I work on a couple of devices, I would need to carry a microphone with me all the time. Mike solves this problem.

With Mike, you can convert your smartphone into a microphone for your computer. Simply connect the audio output from your smartphone to the audio input of your computer and launch Mike. That's all there is to it.


## About

Mike can do the following:

- Redirect microphone input to audio output
- Mute your microphone by tapping one switch
- Play standby music

It's not much, but enough to do the things it needs to.


## Installation

You can download the installation APK file for Mike here: [Mike.apk](https://bitscuit.be/dl/Mike.apk).

You could also build Mike from source, but that's a bit more involved.

- Download the source code: `git clone https://git.bitscuit.be/bitscuit/Mike`
- Open the project in Android Studio.
- Connect your smartphone to your computer and enable `USB-debugging` under `Developer Settings` on your phone.
- Click the green play button in Android Studio to build and run the code.
- Mike is now installed on your phone 🥳


## Contributing

Want to help develop Mike? Awesome!

Feel free to fork this repository, add new features and submit a pull request. Thanks!


## Disclaimer

Copyright 2021 Thomas Van Acker

This project is available under the [GPLv3 license](https://www.gnu.org/licenses/gpl-3.0.en.html). This program comes with ABSOLUTELY NO WARRANTY.

I am not resposible for any damage that may be caused by this software. USE AT YOUR OWN RISK.

